Subject: Re: bug#25296: fully functional desktop installation

From: [email-masked] (Ludovic Courtès)
Date: Sun, 14 Jan 2018 22:53:56 +0100

Hi,

Mathieu Lirzin <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hello!
>>
>> Quiliro <[email-masked]> skribis:
>>
>>> It would be nice to create a desktop.scm file that contains all
>>> necessary packages to have a fully functional desktop installation for
>>> the end user. It is for that user that only uses the machine to write
>>> and read emails, create and read text documents and spreadsheets too. I
>>> know the current desktop.scm contain some of those features and that
>>> after that
>>> guix package --install pidgin libreoffice icecat clawsmail
>>> (and so) can provide the necessary packages. But I would like to make
>>> an installation that is just as trisquel is. It is not necessary to
>>> have the same configuration or the same packages. But it would be
>>> useful to have it as easy to just use as is Trisquel.
>>
>> The desktop example contains all of GNOME, when choosing GNOME, which
>> provides an email client, Web browser, and lots of other things.
>>
>> Additional packages like those you mention could be added to the
>> ‘packages’ field, in which case they will be installed globally, like
>> the rest of GNOME.
>>
>> I wouldn’t recommend adding those 4 packages you mention by default
>> though, because it’s really a matter of choice (and it’s redundant with
>> what GNOME provides, I think.)
>
> I think your remark applies to pidgin and clawsmail but not to
> Libreoffice and Icecat (Firefox) which are commonly installed OOTB by
> mainstream distros (Debian, Ubuntu, Fedora) along with the GNOME
> desktop.

I’m not sure what we could do, though.  Should the desktop example
include a comment like “Uncomment the following lines to add LibreOffice
& co.”?

This is something that the ncurses interface should make more
discoverable.

Thanks,
Ludo’.